Bug 142850 - [RFE] swarm up2date instead of using http
[RFE] swarm up2date instead of using http
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2004-12-14 12:42 EST by Michael Forbes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-29 10:03:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Forbes 2004-12-14 12:42:51 EST
Description of problem:
Currently, up2date pipes all updates off of Redhat's servers.  During
peak load times, this results in unacceptably long transmission
times-- frequently so long that up2date simply fails, but without
giving any message to that effect to the user.

Additional info:
Suggestion: instead of using the current ftp/http-like model, move it
to a swarming model such as BitTorrent.  Using a swarming model, the
load on RH's servers would vary from (at best case) having to serve up
nothing more than the MD5 keys; to at worst having to serve up a
single copy of the file in question.  The reduction in required
resources at RH looks pretty enormous from this perspective, as does
the improvement in distribution of updates.
Comment 1 Matthew Miller 2006-07-10 18:29:10 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-29 10:03:04 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.